<!DOCTYPE html>
<html lang="zh-tw">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>租用資料</title>

  <!-- 引入Bootstrap 5.0 CDN -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

  <!-- jQuery CDN -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body class="bg-light">
  <!-- 頂端工具列 -->
  <div id="header"></div>

  <div class="container vh-100">
    <!-- 預留頂端工具列下空間 -->
    <div style="height: 56px;"></div>
    <div class="mt-3">
      <div id="information" class="card">
        <div class="card-body p-4">
          <div class="d-flex">
            <h1 class="card-title">租用資料</h1>
            <div class="ms-auto">
              <button type="button" id="pay" class="btn btn-sm btn-outline-warning align-self-center" data-bs-toggle="modal" data-bs-target="#exampleModal">結清款項</button>
              <a type="button" id="edit" class="btn btn-sm btn-outline-primary align-self-center">編輯租用資料</a>
              <button id="delete" class="btn btn-sm btn-outline-danger align-self-center">刪除租用</button>
            </div>
          </div>
          <div class="mx-3 mt-3">
            <p class="card-text">租用編號：<span id="id"></span></p>
            <p class="card-text">帳號編號：<span id="accountId"></span></p>
            <p class="card-text">廚房編號：<span id="kitchenId"></span></p>
            <p class="card-text">開始時間：<span id="startAt"></span></p>
            <p class="card-text">結束時間：<span id="endAt"></span></p>
            <p class="card-text">已付款：<span id="paid"></span></p>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">選擇結清信用卡</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <form>
            <!-- 表單內容模板 -->
            <div id="form-template" class="form-check d-none">
              <input type="radio" id="visaId" class="form-check-input" name="visaId">
              <label class="form-check-label" for="visaId"></label>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" id="payConfirm" class="btn btn-primary">付款</button>
        </div>
      </div>
    </div>
  </div>

  <script src="/co_kitchen/statics/js/rent/information.js"></script>
  <script src="/co_kitchen/statics/js/header.js"></script>
</body>
</html>